Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito.internal.configuration
Class GlobalConfiguration

    java.lang.Object
      org.mockito.internal.configuration.GlobalConfiguration

All Implemented Interfaces:
  java.io.Serializable, IMockitoConfiguration

    public class GlobalConfiguration

extends java.lang.Object
implements IMockitoConfiguration, java.io.Serializable

Thread-safe wrapper on user-defined org.mockito.configuration.MockitoConfiguration implementation

See Also:
  Serialized Form

Constructor Summary
`GlobalConfiguration()`

Method Summary
`boolean` | `cleansStackTrace()` This should be turned on unless you're a Mockito developer and you wish to have verbose (read: messy) stack traces that only few understand (eg: Mockito developers)
`boolean` | `enableClassCache()` Allow objenesis to cache classes.
`AnnotationEngine` | `getAnnotationEngine()` Configures annotations for mocks
`Answer<java.lang.Object>` | `getDefaultAnswer()` Allows configuring the default answers of unstubbed invocations
`ReturnValues` | `getReturnValues()`
`static void` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalConfiguration

    public GlobalConfiguration()

Method Detail

### validate

    public static void validate()

### getReturnValues

    public ReturnValues getReturnValues()

  Specified by:
    `getReturnValues` in interface `IMockitoConfiguration`

### getAnnotationEngine

    public AnnotationEngine getAnnotationEngine()

  Description copied from interface: `IMockitoConfiguration`
  Configures annotations for mocks

  See javadoc for `IMockitoConfiguration`

  Specified by:
    `getAnnotationEngine` in interface `IMockitoConfiguration`

### cleansStackTrace

    public boolean cleansStackTrace()

  Description copied from interface: `IMockitoConfiguration`
  This should be turned on unless you're a Mockito developer and you wish to have verbose (read: messy) stack traces that only few understand (eg: Mockito developers)

  See javadoc for `IMockitoConfiguration`

  Specified by:
    `cleansStackTrace` in interface `IMockitoConfiguration`
  Returns:
    if Mockito should clean stack traces

### enableClassCache

    public boolean enableClassCache()

  Description copied from interface: `IMockitoConfiguration`
  Allow objenesis to cache classes. If you're in an environment where classes are dynamically reloaded, you can disable this to avoid classcast exceptions.

  Specified by:
    `enableClassCache` in interface `IMockitoConfiguration`

### getDefaultAnswer

    public Answer<java.lang.Object> getDefaultAnswer()

  Description copied from interface: `IMockitoConfiguration`
  Allows configuring the default answers of unstubbed invocations

  See javadoc for `IMockitoConfiguration`

  Specified by:
    `getDefaultAnswer` in interface `IMockitoConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD